# -*- encoding: utf-8 -*-
# stub: treequel-shell 1.10.0 ruby lib

Gem::Specification.new do |s|
  s.name = "treequel-shell".freeze
  s.version = "1.10.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Michael Granger".freeze]
  s.cert_chain = ["-----BEGIN CERTIFICATE-----\nMIIDLDCCAhSgAwIBAgIBADANBgkqhkiG9w0BAQUFADA8MQwwCgYDVQQDDANnZWQx\nFzAVBgoJkiaJk/IsZAEZFgdfYWVyaWVfMRMwEQYKCZImiZPyLGQBGRYDb3JnMB4X\nDTEwMDkxNjE0NDg1MVoXDTExMDkxNjE0NDg1MVowPDEMMAoGA1UEAwwDZ2VkMRcw\nFQYKCZImiZPyLGQBGRYHX2FlcmllXzETMBEGCgmSJomT8ixkARkWA29yZzCCASIw\nDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBALy//BFxC1f/cPSnwtJBWoFiFrir\nh7RicI+joq/ocVXQqI4TDWPyF/8tqkvt+rD99X9qs2YeR8CU/YiIpLWrQOYST70J\nvDn7Uvhb2muFVqq6+vobeTkILBEO6pionWDG8jSbo3qKm1RjKJDwg9p4wNKhPuu8\nKGue/BFb67KflqyApPmPeb3Vdd9clspzqeFqp7cUBMEpFS6LWxy4Gk+qvFFJBJLB\nBUHE/LZVJMVzfpC5Uq+QmY7B+FH/QqNndn3tOHgsPadLTNimuB1sCuL1a4z3Pepd\nTeLBEFmEao5Dk3K/Q8o8vlbIB/jBDTUx6Djbgxw77909x6gI9doU4LD5XMcCAwEA\nAaM5MDcwCQYDVR0TBAIwADALBgNVHQ8EBAMCBLAwHQYDVR0OBBYEFJeoGkOr9l4B\n+saMkW/ZXT4UeSvVMA0GCSqGSIb3DQEBBQUAA4IBAQBG2KObvYI2eHyyBUJSJ3jN\nvEnU3d60znAXbrSd2qb3r1lY1EPDD3bcy0MggCfGdg3Xu54z21oqyIdk8uGtWBPL\nHIa9EgfFGSUEgvcIvaYqiN4jTUtidfEFw+Ltjs8AP9gWgSIYS6Gr38V0WGFFNzIH\naOD2wmu9oo/RffW4hS/8GuvfMzcw7CQ355wFR4KB/nyze+EsZ1Y5DerCAagMVuDQ\nU0BLmWDFzPGGWlPeQCrYHCr+AcJz+NRnaHCKLZdSKj/RHuTOt+gblRex8FAh8NeA\ncmlhXe46pZNJgWKbxZah85jIjx95hR8vOI+NAM5iH9kOqK13DrxacTKPhqj5PjwF\n-----END CERTIFICATE-----\n".freeze]
  s.date = "2012-08-29"
  s.description = "Treequel-Shell is a collection of LDAP tools based on the Treequel LDAP\ntoolkit.\n\nIt includes:\n\ntreequel :: an LDAP shell/editor; treat your LDAP directory like a filesystem!\ntreewhat :: an LDAP schema explorer. Dump objectClasses and attribute type info\n            in several convenient formats.".freeze
  s.email = ["ged@FaerieMUD.org".freeze]
  s.executables = ["treeirb".freeze, "treequel".freeze, "treewhat".freeze]
  s.extra_rdoc_files = ["History.rdoc".freeze, "Manifest.txt".freeze, "README.rdoc".freeze]
  s.files = ["History.rdoc".freeze, "Manifest.txt".freeze, "README.rdoc".freeze, "bin/treeirb".freeze, "bin/treequel".freeze, "bin/treewhat".freeze]
  s.homepage = "https://bitbucket.org/ged/Treequel-Shell".freeze
  s.licenses = ["BSD".freeze]
  s.rdoc_options = ["-f".freeze, "fivefish".freeze, "-t".freeze, "Treequel".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Treequel-Shell is a collection of LDAP tools based on the Treequel LDAP toolkit".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<loggability>.freeze, ["~> 0.5"])
    s.add_runtime_dependency(%q<treequel>.freeze, ["~> 1.10"])
    s.add_runtime_dependency(%q<highline>.freeze, ["~> 1.6"])
    s.add_runtime_dependency(%q<trollop>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<sysexits>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<hoe-mercurial>.freeze, ["~> 1.4.0"])
    s.add_development_dependency(%q<hoe-highline>.freeze, ["~> 0.1.0"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 3.10"])
    s.add_development_dependency(%q<hoe>.freeze, ["~> 3.0"])
  else
    s.add_dependency(%q<loggability>.freeze, ["~> 0.5"])
    s.add_dependency(%q<treequel>.freeze, ["~> 1.10"])
    s.add_dependency(%q<highline>.freeze, ["~> 1.6"])
    s.add_dependency(%q<trollop>.freeze, ["~> 2.0"])
    s.add_dependency(%q<sysexits>.freeze, ["~> 1.0"])
    s.add_dependency(%q<hoe-mercurial>.freeze, ["~> 1.4.0"])
    s.add_dependency(%q<hoe-highline>.freeze, ["~> 0.1.0"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 3.10"])
    s.add_dependency(%q<hoe>.freeze, ["~> 3.0"])
  end
end
